<?php
// apertura db

@require_once("../admin/config.php");
# verifica se effettuata la configurazione
if(!$dbi = mysql_connect($dbhost, $dbuname, $dbpass)){
die("br/><br/><b>Ci sono dei problemi di connessione al Server $dbtype<br/>". mysql_error()."");
}
if(!mysql_select_db($dbname)){
die("<br/><b>Ci sono dei problemi di connessione al DataBase $dbtype, </b><br/>". mysql_error()."");
}
mysql_query("SET NAMES 'utf8'", $dbi);




## widget per blocchi laterali
echo "Inserimento widget.sql <br/>";
if( mysql_num_rows(mysql_query("SHOW TABLES LIKE 'soraldo_ele_widget' ")) < 1){
update_sql("widget.sql");
} else { 
echo 'widget sql esiste... <span style="color:#ff0000;"><b>nessuna modifica</b></span><br/>';
}

# Modifica la struttura di soraldo_ele_conf e soraldo_ele_fasce
echo "<b>Modificata la struttura di soraldo_ele_conf e soraldo_ele_fasce<br/> 
Inserimento aggiornamento-2.0_2014-04-22.sql</b> <br/>";
update_sql("aggiornamento-2.0_2014-04-22.sql");

# Modifica la struttura e i tipi i consultazione soraldo_ele_tipo
echo "<b>Modificata la struttura e i tipi i consultazione soraldo_ele_tipo<br>
Inserimento aggiornamento-2.0_2014-05-02.sql</b> <br/>";
update_sql("aggiornamento-2.0_2014-05-02.sql");

# Creazione tabella soraldo_ele_controllosez per il controllo delle sezioni
echo "<b>Creata tabella soraldo_ele_controllosez per il controllo delle sezioni<br/>
Inserimento aggiornamento-2.0_2014-11-01.sql</b> <br/>";
update_sql("aggiornamento-2.0_2014-11-01.sql");

echo"</br></br>Fine update... nel caso ci fossero problemi leggere i messaggi di errore<br/>";


function update_sql($sqlfile){
  
  $queries = file_get_contents($sqlfile);
  // Rimuovo eventuali commenti
  $queries = preg_replace(array('/\/\*.*(\n)*.*(\*\/)?/', '/\s*--.*\n/', '/\s*#.*\n/','/\r\n/'), "\n", $queries);
  // recupero le singole istruzioni
  $statements = explode(";\n", $queries);
  $statements = preg_replace("/\s/", ' ', $statements);
  // ciclo le istruzioni

  foreach ($statements as $query) {
   $query = trim($query);
   if ($query) {
      // eseguo la singola istruzione
      $result = mysql_query($query);
      // e stampo eventuali errori
      if (!$result) echo '============================<br/><span style="color:#ff0000;"><b>Impossibile eseguire la query</b> </span><br/>' . $query . ': ' . mysql_error();
	else echo '============================<br/>'.$query .'<br><b><span style="color:#ff0000;">inserimeno ok</b></span><br/>';
   }

  }
}

?>


